#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC8,0xD1,0x0D,0xE6,0x53,0x45,0x13,0xFA,0x48,0x19,0x8E,0x71,
		0xB4,0x45,0x66,0x0E,0xB2,0x94,0x01,0x1C,0x86,0x6E,0xC0,0x09,
		0x98,0x24,0xDB,0x48,0x1B,0xA5,0xDA,0xEB,0xD5,0xC0,0xBB,0xA9,
		0xF2,0x91,0x5B,0x48,0x2D,0xFE,0xDA,0x9D,0x26,0xF5,0x04,0xC0,
		0xEE,0xCD,0x07,0xE4,0x1D,0xCB,0x65,0x50,0x8C,0x72,0xD8,0xAE,
		0x27,0x4E,0xDA,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
